Draft Arc: Difference between revisions

From FreeCAD Documentation
(Updated Usage)
(Updated Options)
Line 51: Line 51:


==Options==
==Options==

The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.


<!--T:5-->
<!--T:5-->
* To enter the coordinates for the center manually enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* The primary use of the arc command is by picking four points: the center, a point on the circumference, the start of the arc and its end.
* The {{MenuCommand|Relative}} checkbox has no purpose for this command.
** By pressing {{KEY|Alt}}, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.
* Press {{KEY|G}} or click the {{MenuCommand|Global}} checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the [[Draft_SelectPlane|working plane]] coordinate system. {{Version|0.20}}
* The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
* Press {{KEY|T}} or click the {{MenuCommand|Continue}} checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing the arc, allowing you to continue drawing arcs.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values to insert the point.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the command.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Arc command will restart after you finish the arc, allowing you to draw another one without pressing the command button again.
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your point horizontally or vertically in relation to the center.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.


==Notes==
==Notes==

Revision as of 13:39, 29 April 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Arc

Menu location
Drafting → Arc tools → Arc
Workbenches
Draft, Arch
Default shortcut
A R
Introduced in version
0.7
See also
Draft Arc 3Points, Draft Circle

Description

The Draft Arc command creates a circular arc in the current working plane by entering four points, the center, a point that defines the radius, the first end point and the second end point, or by picking tangents, or any combination of those. It uses the Draft Linestyle set on the Draft Tray.

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Draft Arc button.
    • Select the Drafting → Arc tools → Arc option from the menu.
    • Use the keyboard shortcut: A then R.
  2. The Arc task panel opens. See Options for more information.
  3. Click the first point, the center of the arc, in the 3D view, or type coordinates and press the Enter point button.
  4. Click the second point in the 3D view, or enter a Radius.
  5. Click the third point in the 3D view, or enter a Start angle.
  6. Click the fourth point in the 3D view, or enter an Aperture angle.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To enter the coordinates for the center manually enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing the arc, allowing you to continue drawing arcs.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Arc can be edited with the Draft Edit command.

Properties

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle and has the same properties.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()